indexing
	description: "[
			Exception for operating system error
			which does not set the `errno' variable (Unix-specific)
		]"
	library: "Free implementation of ELKS library"
	copyright: "Copyright (c) 1986-2006, Eiffel Software and others"
	license: "Eiffel Forum License v2 (see forum.txt)"
	date: "$Date: 2007-12-17 17:27:30 -0800 (Mon, 17 Dec 2007) $"
	revision: "$Revision: 71552 $"

class
	EXTERNAL_FAILURE

inherit
	EIFFEL_RUNTIME_EXCEPTION

feature -- Access

	frozen code: INTEGER is
			-- Exception code
		once
			Result := {EXCEP_CONST}.external_exception
		end

feature {NONE} -- Accesss

	frozen internal_meaning: STRING is "External event."

end
