indexing

	description:

		"Built-in groups for class NONE"

	library: "Gobo Eiffel Tools Library"
	copyright: "Copyright (c) 2006, Eric Bezault and others"
	license: "MIT License"
	date: "$Date: 2007-01-26 10:55:25 -0800 (Fri, 26 Jan 2007) $"
	revision: "$Revision: 5877 $"

class ET_NONE_GROUP

inherit

	ET_BUILTIN_GROUP
		rename
			make as make_builtin
		redefine
			is_none
		end

create

	make

feature {NONE} -- Initialization

	make is
			-- Create a new built-in group for class NONE.
		do
			make_builtin ("none")
		end

feature -- status report 

	is_none: BOOLEAN is True
			-- Is current group a built-in group for class NONE?

invariant

	is_none: is_none

end
