indexing

	description:

		"Equality testers"

	library: "Gobo Eiffel Kernel Library"
	copyright: "Copyright (c) 1999-2007, Eric Bezault and others"
	license: "MIT License"
	date: "$Date: 2007-10-06 00:48:20 -0700 (Sat, 06 Oct 2007) $"
	revision: "$Revision: 6102 $"

class KL_EQUALITY_TESTER [G]

inherit

	ANY -- Needed for SE 2.1b1.

	KL_IMPORTED_ANY_ROUTINES
		export {NONE} all end

feature -- Status report

	test (v, u: G): BOOLEAN is
			-- Are `v' and `u' considered equal?
			-- (Use `equal' by default.)
		do
			if v = u then
				Result := True
			elseif v = Void then
				Result := False
			elseif u = Void then
				Result := False
			else
				Result := ANY_.equal_objects (v, u)
			end
		end

end
