indexing

	description:

		"Values that are accessible through keys"

	library: "Gobo Eiffel Kernel Library"
	copyright: "Copyright (c) 2004, Eric Bezault and others"
	license: "MIT License"
	date: "$Date: 2007-01-26 10:55:25 -0800 (Fri, 26 Jan 2007) $"
	revision: "$Revision: 5877 $"

deferred class KL_VALUES [G, K]

inherit

	ANY -- Needed for SE 2.1b1.

feature -- Access

	value (k: K): G is
			-- Item associated with `k';
			-- Return default value if no such item
		require
			k_not_void: k /= Void 
		deferred
		end

end
