indexing

	description:

		"EiffelTime DATE_TIME_VALUE class interface"

	library: "Gobo Eiffel Time Library"
	copyright: "Copyright (c) 2000, Eric Bezault and others"
	license: "MIT License"
	date: "$Date: 2007-01-26 10:55:25 -0800 (Fri, 26 Jan 2007) $"
	revision: "$Revision: 5877 $"

deferred class DATE_TIME_VALUE

inherit

	DT_DATE_TIME_VALUE
		redefine
			date, time
		end

	DATE_VALUE
		undefine
			out, append_to_string
		end

	TIME_VALUE
		undefine
			out, append_to_string,
			precise_out, append_precise_to_string
		end

feature -- Access

	date: DATE_VALUE is
			-- Date of the current object
		deferred
		end

	time: TIME_VALUE is
			-- Time of the current object
		deferred
		end

end
