indexing

	description:

		"Test case results"

	library: "Gobo Eiffel Test Library"
	copyright: "Copyright (c) 2000, Eric Bezault and others"
	license: "MIT License"
	date: "$Date: 2007-01-26 10:55:25 -0800 (Fri, 26 Jan 2007) $"
	revision: "$Revision: 5877 $"

deferred class TS_RESULT

inherit

	ANY -- Needed for SE 2.1b1.

feature -- Access

	test: TS_TEST
			-- Associated test

feature -- Status report

	passed: BOOLEAN is
			-- Has `test' passed?
		do
			-- Result := False
		end

	failed: BOOLEAN is
			-- Has `test' failed?
		do
			-- Result := False
		end

	aborted: BOOLEAN is
			-- Has `test' aborted?
		do
			-- Result := False
		end

feature -- Output

	print_result (a_file: KI_TEXT_OUTPUT_STREAM) is
			-- Print result to `a_file'.
		require
			a_file_not_void: a_file /= Void
			a_file_open_write: a_file.is_open_write
		deferred
		end

invariant

	test_not_void: test /= Void

end
