indexing

	description:

		"Ace file generators for Gobo Eiffel compiler"

	library: "Gobo Eiffel Tools Library"
	copyright: "Copyright (c) 2005, Eric Bezault and others"
	license: "MIT License"
	date: "$Date: 2007-01-26 10:55:25 -0800 (Fri, 26 Jan 2007) $"
	revision: "$Revision: 5877 $"

class ET_XACE_GE_GENERATOR

inherit

	ET_XACE_ISE_GENERATOR
		redefine
			default_system_output_filename,
			default_library_output_filename
		end

create

	make

feature -- Access

	default_system_output_filename: STRING is
			-- Name of generated Ace file
		once
			Result := "ge.ace"
		end

	default_library_output_filename: STRING is
			-- Name of generated library Ace file
		once
			Result := "ge.ace"
		end

end
