indexing

	description:

		"Shared access to XM_XPATH_DEFAULT_NAME_POOL"

	library: "Gobo Eiffel XML Library"
	copyright: "Copyright (c) 2003, Colin Adams and others"
	license: "MIT License"
	date: "$Date: 2007-01-26 10:55:25 -0800 (Fri, 26 Jan 2007) $"
	revision: "$Revision: 5877 $"

class XM_XPATH_SHARED_NAME_POOL
	
feature -- Access

	shared_name_pool: XM_XPATH_NAME_POOL is
			-- Shared name pool
		do
			Result := default_pool.default_pool
		ensure
			shared_name_pool_not_void: Result /= Void
		end

	default_pool: XM_XPATH_DEFAULT_NAME_POOL is
			-- The default pool
		once
			create Result.make
		ensure
			default_pool_not_void: Result /= Void			
		end

end
	
