indexing

	description:

		"Test 'clock' example"

	library: "Gobo Eiffel Time Library"
	copyright: "Copyright (c) 2001, Eric Bezault and others"
	license: "MIT License"
	date: "$Date: 2007-01-26 10:55:25 -0800 (Fri, 26 Jan 2007) $"
	revision: "$Revision: 5877 $"

deferred class DT_ETEST_CLOCK

inherit

	EXAMPLE_TEST_CASE

feature -- Access

	program_name: STRING is "clock"
			-- Program name

	library_name: STRING is "time"
			-- Library name of example

feature -- Test

	test_clock is
			-- Test 'clock' example.
		local
			clock_exe: STRING
		do
			compile_program
				-- Run example.
			clock_exe := program_exe
			assert_execute (clock_exe + output_log)
			assert_integers_equal ("no_error_log", 0, file_system.file_count (error_log_filename))
		end

end
